Loading...
Searching...
No Matches
abtbc_schur_complement< Matrix, Vector, Solver >

## Detailed Description

template<class Matrix, class Vector, class Solver>
struct rheolef::abtbc_schur_complement< Matrix, Vector, Solver >

Definition at line 29 of file mixed_solver.h.

## Public Member Functions

| abtbc_schur_complement (const Solver &iA1, const Matrix &B1, const Matrix &C1)
Vector | operator* (const Vector &p) const

## Public Attributes

Solver | iA
Matrix | B
Matrix | C

## Constructor & Destructor Documentation

## abtbc_schur_complement()

template<class Matrix, class Vector, class Solver>

abtbc_schur_complement | ( | const Solver & | iA1,
|  | const Matrix & | B1,
|  | const Matrix & | C1 )

Definition at line 32 of file mixed_solver.h.

## Member Function Documentation

## operator*()

template<class Matrix, class Vector, class Solver>

Vector operator* | ( | const Vector & | p | ) | const

Definition at line 33 of file mixed_solver.h.

## Member Data Documentation

## iA

template<class Matrix, class Vector, class Solver>

Solver iA

Definition at line 30 of file mixed_solver.h.

## B

template<class Matrix, class Vector, class Solver>

Matrix B

Definition at line 31 of file mixed_solver.h.

## C

template<class Matrix, class Vector, class Solver>

Matrix C

Definition at line 31 of file mixed_solver.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/mixed_solver.h